Bug 982748 - Review Request: perl-Test-Warnings - Test for warnings and the lack of them
Review Request: perl-Test-Warnings - Test for warnings and the lack of them
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 15:10 EDT by Paul Howarth
Modified: 2013-07-20 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-Warnings-0.007-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-07-09 15:10:26 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Warnings/branches/fedora/perl-Test-Warnings.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-Warnings/perl-Test-Warnings-0.006-2.fc20.src.rpm

Description:

If you've ever tried to use Test::NoWarnings to confirm there are no warnings
generated by your tests, combined with the convenience of done_testing to not
have to declare a test count, you'll have discovered that these two features do
not play well together, as the test count will be calculated before the
warnings test is run, resulting in a TAP error (see examples/test_nowarnings.pl
in this distribution for a demonstration).

This module is intended to be used as a drop-in replacement for
Test::NoWarnings: it also adds an extra test, but runs this test before
done_testing calculates the test count, rather than after. It does this by
hooking into done_testing as well as via an END block. You can declare a plan,
or not, and things will still Just Work.

It is actually equivalent to:

    use Test::NoWarnings 1.04 ':early';

as warnings are still printed normally as they occur. You are safe, and
enthusiastically encouraged, to perform a global search-replace of the above
with use Test::Warnings; whether or not your tests have a plan.

Fedora Account System Username: pghmcfc
Comment 2 Parag AN(पराग) 2013-07-11 00:58:45 EDT
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
perl-Test-Warnings.noarch: W: spelling-error %description -l en_US NoWarnings -> No Warnings, No-warnings, Warning
perl-Test-Warnings.noarch: W: spelling-error %description -l en_US nowarnings -> no warnings, no-warnings, warning
perl-Test-Warnings.src: W: spelling-error %description -l en_US NoWarnings -> No Warnings, No-warnings, Warning
perl-Test-Warnings.src: W: spelling-error %description -l en_US nowarnings -> no warnings, no-warnings, warning
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
==> ignore these

+ Source verified with upstream as (sha256sum)
srpm tarball     : faca86d64ef355dec77101c8e037bd9791e122cfee3660d0dce67c384b18ce05
upstream tarball : faca86d64ef355dec77101c8e037bd9791e122cfee3660d0dce67c384b18ce05

+ License "GPL+ or Artistic" is valid and included in source files.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=12, Tests=57,  1 wallclock secs ( 0.05 usr  0.02 sys +  0.36 cusr  0.04 csys =  0.47 CPU)

+ Package  perl-Test-Warnings-0.007-1.fc20.noarch
Provides: perl(Test::Warnings) = 0.007 perl-Test-Warnings = 0.007-1.fc20
Requires: perl(Exporter) perl(Test::Builder) perl(parent) perl(strict) perl(warnings)

APPROVED.
Comment 3 Paul Howarth 2013-07-11 02:56:19 EDT
New Package SCM Request
=======================
Package Name: perl-Test-Warnings
Short Description: Test for warnings and the lack of them
Owners: pghmcfc
Branches: f18 f19
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-07-11 06:53:35 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-07-11 10:41:21 EDT
perl-Test-Warnings-0.007-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Test-Warnings-0.007-1.fc19
Comment 6 Fedora Update System 2013-07-11 10:41:32 EDT
perl-Test-Warnings-0.007-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Test-Warnings-0.007-1.fc18
Comment 7 Fedora Update System 2013-07-11 23:05:27 EDT
perl-Test-Warnings-0.007-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-07-20 05:48:09 EDT
perl-Test-Warnings-0.007-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-07-20 05:50:11 EDT
perl-Test-Warnings-0.007-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.